### Class

# Aravis DomNamedNodeMap

#### Description

    abstract class Aravis.DomNamedNodeMap : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### arv_dom_named_node_map_get_item

No description available.

###### arv_dom_named_node_map_get_length

No description available.

###### arv_dom_named_node_map_get_named_item

No description available.

###### arv_dom_named_node_map_remove_named_item

No description available.

###### arv_dom_named_node_map_set_named_item

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisDomNamedNodeMapClass {
      GObjectClass parent_class;
      ArvDomNode* (* get) (
        ArvDomNamedNodeMap* map,
        const char* name
      );
      ArvDomNode* (* set) (
        ArvDomNamedNodeMap* map,
        ArvDomNode* node
      );
      ArvDomNode* (* remove) (
        ArvDomNamedNodeMap* map,
        const char* name
      );
      ArvDomNode* (* get_item) (
        ArvDomNamedNodeMap* map,
        unsigned int index
      );
      unsigned int (* get_length) (
        ArvDomNamedNodeMap* map
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get: ArvDomNode* (* get) ( ArvDomNamedNodeMap* map, const char* name )`

  No description available.

`set: ArvDomNode* (* set) ( ArvDomNamedNodeMap* map, ArvDomNode* node )`

  No description available.

`remove: ArvDomNode* (* remove) ( ArvDomNamedNodeMap* map, const char* name )`

  No description available.

`get_item: ArvDomNode* (* get_item) ( ArvDomNamedNodeMap* map, unsigned int index )`

  No description available.

`get_length: unsigned int (* get_length) ( ArvDomNamedNodeMap* map )`

  No description available.

#### Virtual methods

###### Aravis.DomNamedNodeMapClass.get

No description available.

###### Aravis.DomNamedNodeMapClass.get_item

No description available.

###### Aravis.DomNamedNodeMapClass.get_length

No description available.

###### Aravis.DomNamedNodeMapClass.remove

No description available.

###### Aravis.DomNamedNodeMapClass.set

No description available.